OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::MPEZoneLayout::Listener Class Referenceabstract

`#include <juce_MPEZoneLayout.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | zoneLayoutChanged (const MPEZoneLayout &layout)=0

## Detailed Description

Listener class. Derive from this class to allow your class to be notified about changes to the zone layout.

Definition at line 197 of file juce_MPEZoneLayout.h.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual juce::MPEZoneLayout::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ zoneLayoutChanged()

virtual void juce::MPEZoneLayout::Listener::zoneLayoutChanged | ( | const MPEZoneLayout & | layout | ) |
| pure virtual

Implement this callback to be notified about any changes to this MPEZoneLayout. Will be called whenever a zone is added, zones are removed, or any zone's master or note pitchbend ranges change.

The documentation for this class was generated from the following file:

- juce_MPEZoneLayout.h